package com.hp.user.service.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.service.MessageService;
import com.hp.user.service.utils.SendSmsUtil;

import io.swagger.annotations.Api;

/**
 * 短信
 * @author yeqid
 *
 */
@Api(value="短信")
@RestController
@RequestMapping("/area")
public class MessageController {
	
	@Autowired
	private MessageService messageService;
	
	
	/**
     * 发送验证码
     * @param phoneNumber
     */
    @RequestMapping("/sendVerificationCode")
    public void sendVerificationCode(String phoneNumber) {
    	messageService.sendVerificationCode(phoneNumber);
    }
}
